Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 18297)
@@ -111,14 +111,19 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	tab_pane = new JTabbedPane();
+        tab_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel general_preferences = createGeneralPreferences();
+        general_preferences.setComponentOrientation(Dictionary.getOrientation());
 	tab_pane.addTab(Dictionary.get("Preferences.General"), null, general_preferences, Dictionary.get("Preferences.General_Tooltip")); 
 	tab_pane.addTab(Dictionary.get("Preferences.Mode"), null, createModePreferences(), Dictionary.get("Preferences.Mode_Tooltip"));
 	//	tab_pane.addTab(Dictionary.get("Preferences.Workflow"), null, createWorkflowPreferences(), Dictionary.get("Preferences.Workflow_Tooltip")); 
 	JPanel connection_preferences = createConnectionPreferences();
+        connection_preferences.setComponentOrientation(Dictionary.getOrientation());
 	tab_pane.addTab(Dictionary.get("Preferences.Connection"), null, connection_preferences, Dictionary.get("Preferences.Connection_Tooltip")); 
 	tab_pane.addTab(Dictionary.get("Preferences.Warnings"), null, createWarningPreferences(), Dictionary.get("Preferences.Warnings_Tooltip")); 
 	
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
 	
@@ -138,9 +143,11 @@
 	button_pane.add(apply_button);
 	button_pane.add(cancel_button);
-
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	content_pane.setLayout(new BorderLayout());
 	content_pane.add(tab_pane, BorderLayout.CENTER);
 	content_pane.add(button_pane, BorderLayout.SOUTH);
-
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	Dimension frame_size = Gatherer.g_man.getSize();
 	Point frame_location = Gatherer.g_man.getLocation();
@@ -171,16 +178,21 @@
     private JPanel createConnectionPreferences() {
 	JPanel program_pane = new JPanel();
+        program_pane.setComponentOrientation(Dictionary.getOrientation());
 	program_pane.setPreferredSize(ROW_SIZE);
 	JLabel program_label = new JLabel(Dictionary.get("Preferences.Connection.ProgramCommand"));
 	program_label.setPreferredSize(LABEL_SIZE);
-	
+	program_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	program_field = new JTextField(Configuration.getPreviewCommand());
 	program_field.setCaretPosition(0);
 	program_field.setToolTipText(Dictionary.get("Preferences.Connection.ProgramCommand_Tooltip"));
-	
+	program_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel library_path_pane = new JPanel();
 	library_path_pane.setPreferredSize(ROW_SIZE);
+        library_path_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel library_path_label = new JLabel();
 	library_path_label.setPreferredSize(LABEL_SIZE);
+        library_path_label.setComponentOrientation(Dictionary.getOrientation());
 	String library_url_string = "";
 	if (Configuration.library_url != null) {
@@ -189,4 +201,5 @@
 	library_path_field = new JTextField(library_url_string);
 	library_path_field.setCaretPosition(0);
+        library_path_field.setComponentOrientation(Dictionary.getOrientation());
 	if (Gatherer.GS3) {
 	    library_path_label.setText(Dictionary.get("Preferences.Connection.Library_Path_GS3"));
@@ -208,4 +221,5 @@
 	    gliserver_url_label = new JLabel(Dictionary.get("Preferences.Connection.GLIServer_URL"));
 	    gliserver_url_label.setPreferredSize(LABEL_SIZE);
+            gliserver_url_label.setComponentOrientation(Dictionary.getOrientation());
 	    String gliserver_url_string = "";
 	    if (Configuration.gliserver_url != null) {
@@ -213,7 +227,8 @@
 	    }
 	    gliserver_url_field = new JTextField(gliserver_url_string);
+            gliserver_url_field.setComponentOrientation(Dictionary.getOrientation());
 	    gliserver_url_field.setCaretPosition(0);
 	    gliserver_url_field.setToolTipText(Dictionary.get("Preferences.Connection.GLIServer_URL_Tooltip"));
-	    
+	   
 	    // Disable this field when using the applet, as it is automatically determined
 	    gliserver_url_label.setEnabled(!Gatherer.isApplet);
@@ -228,17 +243,24 @@
 	    site_pane = new JPanel();
 	    site_pane.setPreferredSize(ROW_SIZE);
+            site_pane.setComponentOrientation(Dictionary.getOrientation());
 	    site_label = new JLabel(Dictionary.get("Preferences.Connection.Site"));
 	    site_label.setPreferredSize(LABEL_SIZE);
+            site_label.setComponentOrientation(Dictionary.getOrientation());
 	    // what should we do if Gatherer.servlet_config.getSites() is null?
 	    site_combobox = new JComboBox(Gatherer.servlet_config.getSites().toArray());
 	    site_combobox.setOpaque(false);
 	    site_combobox.setToolTipText(Dictionary.get("Preferences.Connection.Site_Tooltip"));
-	    
+	    site_combobox.setComponentOrientation(Dictionary.getOrientation());
+            
 	    servlet_pane = new JPanel();
 	    servlet_pane.setPreferredSize(ROW_SIZE);
+            servlet_pane.setComponentOrientation(Dictionary.getOrientation());
+            
 	    servlet_label = new JLabel(Dictionary.get("Preferences.Connection.Servlet"));
 	    servlet_label.setPreferredSize(LABEL_SIZE);
+            servlet_label.setComponentOrientation(Dictionary.getOrientation());
 	    servlet_combobox = new JComboBox();
 	    servlet_combobox.setOpaque(false);
+            servlet_combobox.setComponentOrientation(Dictionary.getOrientation());
 	    // try to locate and select the current site
 	    String this_site = Configuration.site_name;
@@ -281,11 +303,16 @@
 	// Creation
 	JPanel connection_pane = new JPanel();
+        connection_pane.setComponentOrientation(Dictionary.getOrientation());
 	use_proxy_checkbox = new JCheckBox(Dictionary.get("Preferences.Connection.Use_Proxy"));
 	use_proxy_checkbox.setSelected(currently_enabled);
-	
+	use_proxy_checkbox.setComponentOrientation(Dictionary.getOrientation());        
 	use_proxy_checkbox.setPreferredSize(ROW_SIZE);
-	JPanel proxy_host_pane = new JPanel();
+	
+        JPanel proxy_host_pane = new JPanel();
+        proxy_host_pane.setComponentOrientation(Dictionary.getOrientation());
 	proxy_host_pane.setPreferredSize(ROW_SIZE);
+        
 	JLabel proxy_host_label = new JLabel(Dictionary.get("Preferences.Connection.Proxy_Host"));
+        proxy_host_label.setComponentOrientation(Dictionary.getOrientation());
 	proxy_host_label.setPreferredSize(LABEL_SIZE);
 	
@@ -293,9 +320,13 @@
 	proxy_host_field.setEnabled(currently_enabled);
 	proxy_host_field.setToolTipText(Dictionary.get("Preferences.Connection.Proxy_Host_Tooltip"));
-	
+	proxy_host_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel proxy_port_pane = new JPanel();
+        proxy_port_pane.setComponentOrientation(Dictionary.getOrientation());
 	proxy_port_pane.setPreferredSize(ROW_SIZE);
+        
 	JLabel proxy_port_label = new JLabel(Dictionary.get("Preferences.Connection.Proxy_Port"));
 	proxy_port_label.setPreferredSize(LABEL_SIZE);
+        proxy_port_label.setComponentOrientation(Dictionary.getOrientation());
 	
 	String port_value = Configuration.getString("general.proxy_port", true);
@@ -317,14 +348,14 @@
 	// Layout
 	program_pane.setLayout(new BorderLayout());
-	program_pane.add(program_label, BorderLayout.WEST);
+	program_pane.add(program_label, BorderLayout.LINE_END);
 	program_pane.add(program_field, BorderLayout.CENTER);
 
 	library_path_pane.setLayout(new BorderLayout());
-	library_path_pane.add(library_path_label, BorderLayout.WEST);
+	library_path_pane.add(library_path_label, BorderLayout.LINE_START);
 	library_path_pane.add(library_path_field, BorderLayout.CENTER);
 
 	if (Gatherer.isGsdlRemote && !Gatherer.GS3) {
 	    gliserver_url_pane.setLayout(new BorderLayout());
-	    gliserver_url_pane.add(gliserver_url_label, BorderLayout.WEST);
+	    gliserver_url_pane.add(gliserver_url_label, BorderLayout.LINE_START);
 	    gliserver_url_pane.add(gliserver_url_field, BorderLayout.CENTER);
 	}
@@ -332,18 +363,18 @@
 	if (Gatherer.GS3) {
 	    site_pane.setLayout(new BorderLayout());
-	    site_pane.add(site_label, BorderLayout.WEST);
+	    site_pane.add(site_label, BorderLayout.LINE_START);
 	    site_pane.add(site_combobox, BorderLayout.CENTER);
 
 	    servlet_pane.setLayout(new BorderLayout());
-	    servlet_pane.add(servlet_label, BorderLayout.WEST);
+	    servlet_pane.add(servlet_label, BorderLayout.LINE_START);
 	    servlet_pane.add(servlet_combobox, BorderLayout.CENTER);
 	}
 
 	proxy_host_pane.setLayout(new BorderLayout());
-	proxy_host_pane.add(proxy_host_label, BorderLayout.WEST);
+	proxy_host_pane.add(proxy_host_label, BorderLayout.LINE_START);
 	proxy_host_pane.add(proxy_host_field, BorderLayout.CENTER);
 
 	proxy_port_pane.setLayout(new BorderLayout());
-	proxy_port_pane.add(proxy_port_label, BorderLayout.WEST);
+	proxy_port_pane.add(proxy_port_label, BorderLayout.LINE_START);
 	proxy_port_pane.add(proxy_port_field, BorderLayout.CENTER);
 
@@ -368,5 +399,5 @@
     private JPanel createGeneralPreferences() {
 	JPanel general_pane = new JPanel();
-
+        general_pane.setComponentOrientation(Dictionary.getOrientation());
 	// Build the model of available languages
 	ArrayList dictionary_model = new ArrayList();
@@ -393,28 +424,42 @@
 	// Users email
 	JPanel email_pane = new JPanel();
-	JLabel email_label = new JLabel(Dictionary.get("Preferences.General.Email"));
+        email_pane.setComponentOrientation(Dictionary.getOrientation());
+
+        JLabel email_label = new JLabel(Dictionary.get("Preferences.General.Email"));
+        email_label.setComponentOrientation(Dictionary.getOrientation());
 	email_label.setPreferredSize(LABEL_SIZE);
-	email_field = new EmailField(Configuration.getColor("coloring.error_background", false));
+	
+        email_field = new EmailField(Configuration.getColor("coloring.error_background", false));
 	email_field.setText(Configuration.getEmail());
 	email_field.setToolTipText(Dictionary.get("Preferences.General.Email_Tooltip"));
-	
+	email_field.setComponentOrientation(Dictionary.getOrientation());
 	// Font selection
 	JPanel font_pane = new JPanel();
-	JLabel font_label = new JLabel(Dictionary.get("Preferences.General.Font"));
+        font_pane.setComponentOrientation(Dictionary.getOrientation());
+	
+        JLabel font_label = new JLabel(Dictionary.get("Preferences.General.Font"));
+        font_label.setComponentOrientation(Dictionary.getOrientation());
 	font_label.setPreferredSize(LABEL_SIZE);
-	font_field = new JTextField(Configuration.getString("general.font", true));
+	
+        font_field = new JTextField(Configuration.getString("general.font", true));
 	font_field.setToolTipText(Dictionary.get("Preferences.General.Font_Tooltip"));
-	
+	font_field.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Extracted metadata
 	view_extracted_metadata_checkbox = new JCheckBox(Dictionary.get("Preferences.General.View_Extracted_Metadata"));
 	view_extracted_metadata_checkbox.setSelected(false);
-	if (Configuration.get("general.view_extracted_metadata", Configuration.COLLECTION_SPECIFIC)) {
+        view_extracted_metadata_checkbox.setComponentOrientation(Dictionary.getOrientation());
+	
+        if (Configuration.get("general.view_extracted_metadata", Configuration.COLLECTION_SPECIFIC)) {
 	    view_extracted_metadata_checkbox.setSelected(true);
 	}
 	view_extracted_metadata_checkbox.setToolTipText(Dictionary.get("Preferences.General.View_Extracted_Metadata_Tooltip"));
-	
+        view_extracted_metadata_checkbox.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Show file sizes
 	show_file_size_checkbox = new JCheckBox(Dictionary.get("Preferences.General.Show_File_Size"));
 	show_file_size_checkbox.setSelected(false);
+        show_file_size_checkbox.setComponentOrientation(Dictionary.getOrientation());
+        
 	if (Configuration.get("general.show_file_size", Configuration.COLLECTION_SPECIFIC)) {
 	    show_file_size_checkbox.setSelected(true);
@@ -424,5 +469,8 @@
 	// Language
 	JPanel language_pane = new JPanel();
-	JLabel language_label = new JLabel(Dictionary.get("Preferences.General.Interface_Language"));
+        language_pane.setComponentOrientation(Dictionary.getOrientation());
+
+        JLabel language_label = new JLabel(Dictionary.get("Preferences.General.Interface_Language"));
+        language_label.setComponentOrientation(Dictionary.getOrientation());
 	language_label.setPreferredSize(LABEL_SIZE);
 	
@@ -430,5 +478,6 @@
 	language_combobox.setOpaque(false);
 	language_combobox.setToolTipText(Dictionary.get("Preferences.General.Interface_Language_Tooltip"));
-	
+	language_combobox.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Try to locate and select the current language
 	String language_code = Configuration.getLanguage();
@@ -443,13 +492,13 @@
 	// Layout
 	email_pane.setLayout(new BorderLayout());
-	email_pane.add(email_label, BorderLayout.WEST);
+	email_pane.add(email_label, BorderLayout.LINE_START);
 	email_pane.add(email_field, BorderLayout.CENTER);
 
 	language_pane.setLayout(new BorderLayout());
-	language_pane.add(language_label, BorderLayout.WEST);
+	language_pane.add(language_label, BorderLayout.LINE_START);
 	language_pane.add(language_combobox, BorderLayout.CENTER);
 
 	font_pane.setLayout(new BorderLayout());
-	font_pane.add(font_label, BorderLayout.WEST);
+	font_pane.add(font_label, BorderLayout.LINE_START);
 	font_pane.add(font_field, BorderLayout.CENTER);
 
@@ -471,19 +520,33 @@
 	// Create Controls
 	JPanel mode_panel = new JPanel();
-	JPanel button_panel = new JPanel();
-	ButtonGroup mode_button_group = new ButtonGroup();
-	assistant_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Assistant"));
+        mode_panel.setComponentOrientation(Dictionary.getOrientation());
+	
+        JPanel button_panel = new JPanel();
+        button_panel.setComponentOrientation(Dictionary.getOrientation());
+	
+        ButtonGroup mode_button_group = new ButtonGroup();
+	
+        assistant_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Assistant"));
 	assistant_mode_radio_button.setOpaque(false);
+        assistant_mode_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	mode_button_group.add(assistant_mode_radio_button);
-	expert_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Expert"));
+	
+        expert_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Expert"));
 	expert_mode_radio_button.setOpaque(false);
+        expert_mode_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	mode_button_group.add(expert_mode_radio_button);
-	librarian_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Librarian"));
+	
+        librarian_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Librarian"));
 	librarian_mode_radio_button.setOpaque(false);
+        librarian_mode_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	mode_button_group.add(librarian_mode_radio_button);
-	systems_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Systems"));
+	
+        systems_mode_radio_button = new JRadioButton(Dictionary.get("Preferences.Mode.Systems"));
 	systems_mode_radio_button.setOpaque(false);
+        systems_mode_radio_button.setComponentOrientation(Dictionary.getOrientation());
 	mode_button_group.add(systems_mode_radio_button);
-	mode_description_textarea = new JTextArea();
+	
+        mode_description_textarea = new JTextArea();
+        mode_description_textarea.setComponentOrientation(Dictionary.getOrientation());
 	mode_description_textarea.setEditable(false);
 	mode_description_textarea.setLineWrap(true);
@@ -535,4 +598,5 @@
     {
 	warning_preferences_check_list = new CheckList(false);
+        warning_preferences_check_list.setComponentOrientation(Dictionary.getOrientation());
 
 	// Read all the warnings from the general xml/config.xml file, and their values from the user config.xml file
@@ -552,7 +616,10 @@
 
 	JPanel warning_preferences_pane = new JPanel();
+        warning_preferences_pane.setComponentOrientation(Dictionary.getOrientation());
 	warning_preferences_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	warning_preferences_pane.setLayout(new BorderLayout());
-	warning_preferences_pane.add(new JScrollPane(warning_preferences_check_list), BorderLayout.CENTER);
+        JScrollPane scrol_tmp = new JScrollPane(warning_preferences_check_list);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	warning_preferences_pane.add(scrol_tmp, BorderLayout.CENTER);
 	return warning_preferences_pane;
     }
@@ -571,9 +638,15 @@
 	// Creation
 	JPanel workflow_preferences_pane = new JPanel();
-	JPanel checklist_pane = new JPanel();
-	JLabel title_label = new JLabel(Dictionary.get("Preferences.Workflow.Title"));
+        workflow_preferences_pane.setComponentOrientation(Dictionary.getOrientation());
+	
+        JPanel checklist_pane = new JPanel();
+        checklist_pane.setComponentOrientation(Dictionary.getOrientation());
+	
+        JLabel title_label = new JLabel(Dictionary.get("Preferences.Workflow.Title"));
+        title_label.setComponentOrientation(Dictionary.getOrientation());
 	title_label.setPreferredSize(ROW_SIZE);
 	
 	workflow_download = new JCheckBox(Dictionary.get("GUI.Download")+" - "+Dictionary.get("GUI.Download_Tooltip"));
+        workflow_download.setComponentOrientation(Dictionary.getOrientation());
 	workflow_download.setSelected(Configuration.get("workflow.download", false));
 	workflow_download.setPreferredSize(ROW_SIZE);
@@ -582,25 +655,33 @@
 	workflow_gather.setSelected(Configuration.get("workflow.gather", false));
 	workflow_gather.setPreferredSize(ROW_SIZE);
-	
+	workflow_gather.setComponentOrientation(Dictionary.getOrientation());
+        
 	workflow_enrich = new JCheckBox(Dictionary.get("GUI.Enrich")+" - "+Dictionary.get("GUI.Enrich_Tooltip"));
 	workflow_enrich.setSelected(Configuration.get("workflow.enrich", false));
 	workflow_enrich.setPreferredSize(ROW_SIZE);
-	
+	workflow_enrich.setComponentOrientation(Dictionary.getOrientation());
+        
 	workflow_design = new JCheckBox(Dictionary.get("GUI.Design")+" - "+Dictionary.get("GUI.Design_Tooltip"));
 	workflow_design.setSelected(Configuration.get("workflow.design", false));
 	workflow_design.setPreferredSize(ROW_SIZE);
-	
+	workflow_design.setComponentOrientation(Dictionary.getOrientation());
+        
 	workflow_create = new JCheckBox(Dictionary.get("GUI.Create")+" - "+Dictionary.get("GUI.Create_Tooltip"));
 	workflow_create.setSelected(Configuration.get("workflow.create", false));
 	workflow_create.setPreferredSize(ROW_SIZE);
-	
-
+	workflow_create.setComponentOrientation(Dictionary.getOrientation());
+        
 	workflow_format = new JCheckBox(Dictionary.get("GUI.Format")+" - "+Dictionary.get("GUI.Format_Tooltip"));
 	workflow_format.setSelected(Configuration.get("workflow.format", false));
 	workflow_format.setPreferredSize(ROW_SIZE);
-	
+	workflow_format.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel predefined_pane = new JPanel();
-	JLabel predefined_label = new JLabel(Dictionary.get("Preferences.Workflow.Predefined.Label"));
-	JComboBox predefined_combobox = new JComboBox(predefined);
+        predefined_pane.setComponentOrientation(Dictionary.getOrientation());
+	
+        JLabel predefined_label = new JLabel(Dictionary.get("Preferences.Workflow.Predefined.Label"));
+        predefined_label.setComponentOrientation(Dictionary.getOrientation());
+	
+        JComboBox predefined_combobox = new JComboBox(predefined); 
 	predefined_combobox.setOpaque(false);
 	// Connection
@@ -630,5 +711,5 @@
 	
 	predefined_pane.setLayout(new BorderLayout(5,0));
-	predefined_pane.add(predefined_label, BorderLayout.WEST);
+	predefined_pane.add(predefined_label, BorderLayout.LINE_START);
 	predefined_pane.add(predefined_combobox, BorderLayout.CENTER);
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/PreviewCommandDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/PreviewCommandDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/PreviewCommandDialog.java	(revision 18297)
@@ -71,5 +71,6 @@
 	super(Gatherer.g_man);
 	this.self = this;
-		  
+        JScrollPane scrol_tmp;
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// Creation
 	setModal(true);
@@ -79,8 +80,10 @@
 	
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setBackground(Configuration.getColor("coloring.collection_heading_background", false));
 
 	JTextArea instructions_area = new JTextArea(Dictionary.get("PreviewCommandDialog.Instructions"));
-	instructions_area.setEditable(false);
+        instructions_area.setComponentOrientation(Dictionary.getOrientation());
+        instructions_area.setEditable(false);
 	instructions_area.setLineWrap(true);
 	instructions_area.setRows(5);
@@ -88,8 +91,12 @@
 	
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel lower_pane = new JPanel();
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	JPanel command_pane = new JPanel();
+        command_pane.setComponentOrientation(Dictionary.getOrientation());
 	command_field = new JTextField();
+        command_field.setComponentOrientation(Dictionary.getOrientation());
 	browse_button = new GLIButton(Dictionary.get("FileAssociationDialog.Browse"));
 	browse_button.setEnabled(!Utility.isMac());
@@ -111,5 +118,5 @@
 	command_pane.setLayout(new BorderLayout());
 	command_pane.add(command_field, BorderLayout.CENTER);
-	command_pane.add(browse_button, BorderLayout.EAST);
+	command_pane.add(browse_button, BorderLayout.LINE_END);
 
 	lower_pane.setBorder(BorderFactory.createEmptyBorder(2,0,0,0));
@@ -127,5 +134,7 @@
 	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	content_pane.setLayout(new BorderLayout());
-	content_pane.add(new JScrollPane(instructions_area), BorderLayout.NORTH);
+        scrol_tmp=new JScrollPane(instructions_area);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	content_pane.add(scrol_tmp, BorderLayout.NORTH);
 	content_pane.add(lower_pane, BorderLayout.CENTER);
 
@@ -168,4 +177,5 @@
 	public void actionPerformed(ActionEvent event) {
 	    JFileChooser chooser = new JFileChooser(new File(Gatherer.getGLIUserDirectoryPath()));
+            chooser.setComponentOrientation(Dictionary.getOrientation());
 	    GUIUtils.disableRename(chooser);
 	    chooser.setDialogTitle(Dictionary.get("FileAssociationDialog.Browse_Title"));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/RenamePrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/RenamePrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/RenamePrompt.java	(revision 18297)
@@ -50,4 +50,5 @@
     {
 	super(Gatherer.g_man, true);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	setTitle(Dictionary.get("RenamePrompt.Title"));
 	name = collection_tree_node.getFile().getName();
@@ -87,11 +88,16 @@
 	setSize(SIZE);
 	JPanel content_pane = (JPanel) getContentPane();
-
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel info_pane = new JPanel();
-
+        info_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel name_label = new JLabel(Dictionary.get("RenamePrompt.Name"));
+        name_label.setComponentOrientation(Dictionary.getOrientation());
 	name_textfield = new JTextField(name);
+        name_textfield.setComponentOrientation(Dictionary.getOrientation());
 
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
 	cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Pure_Cancel_Tooltip"));
@@ -105,5 +111,5 @@
 	// Layout
 	info_pane.setLayout(new BorderLayout(5,0));
-	info_pane.add(name_label, BorderLayout.WEST);
+	info_pane.add(name_label, BorderLayout.LINE_START);
 	info_pane.add(name_textfield, BorderLayout.CENTER);
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/SimpleMenuBar.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/SimpleMenuBar.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/SimpleMenuBar.java	(revision 18297)
@@ -15,9 +15,12 @@
     public SimpleMenuBar(String page_name) {
 	this.page_name = page_name;
+        this.setComponentOrientation(Dictionary.getOrientation());
 	JMenu help = new JMenu();
+        help.setComponentOrientation(Dictionary.getOrientation());
 	help.setIcon(JarTools.getImage("help.gif"));
 	help.setText(Dictionary.get("Menu.Help"));
 
 	JMenuItem help_help = new JMenuItem(Dictionary.get("Menu.Help"));
+        help_help.setComponentOrientation(Dictionary.getOrientation());
 	help_help.addActionListener(this);
 	
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/SimpleResultDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/SimpleResultDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/SimpleResultDialog.java	(revision 18297)
@@ -56,19 +56,25 @@
 	super(Gatherer.g_man, title, true);
 	this.self = this;
-	
+	this.setComponentOrientation(Dictionary.getOrientation());
+        
 	setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
 	setSize(size);
 	
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel result_label = new JLabel(label);
+        result_label.setComponentOrientation(Dictionary.getOrientation());
 	
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	JButton close_button = new GLIButton(Dictionary.get("General.Close"));
 	close_button.addActionListener(new CloseButtonListener());
 	
 	JPanel output_pane = new JPanel();
+        output_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel output_label = new JLabel(Dictionary.get("General.Review_Output"));
-		
+	output_label.setComponentOrientation(Dictionary.getOrientation());
 	JTextArea output_textarea = new JTextArea(results);
+        output_textarea.setComponentOrientation(Dictionary.getOrientation());
 	output_textarea.setCaretPosition(0);
 	output_textarea.setEditable(false);
@@ -77,5 +83,5 @@
 	
 	button_pane.setLayout(new BorderLayout());
-	button_pane.add(close_button, BorderLayout.EAST);
+	button_pane.add(close_button, BorderLayout.LINE_END);
 	
 	output_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/URLField.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/URLField.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/URLField.java	(revision 18297)
@@ -4,4 +4,5 @@
 import java.net.*;
 import javax.swing.*;
+import org.greenstone.gatherer.Dictionary;
 
 
@@ -12,4 +13,5 @@
     {
 	super();
+        this.setComponentOrientation(Dictionary.getOrientation());
 	setBackground(background);
 	setForeground(foreground);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/WarningDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/WarningDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/WarningDialog.java	(revision 18297)
@@ -57,5 +57,5 @@
     {
 	super(Gatherer.g_man, "Warning", true);
-
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// Determine the name of this prompt.
 	this.affected_property = affected_property;
@@ -73,8 +73,12 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel text_pane = new JPanel();
+        text_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel icon_label = new JLabel(JarTools.getImage("gatherer_medium.gif"));
-
+        icon_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JTextArea text_area = new JTextArea();
+        text_area.setComponentOrientation(Dictionary.getOrientation());
 	text_area.setEditable(false);
 	text_area.setLineWrap(true);
@@ -84,10 +88,16 @@
 
 	value_panel = new JPanel();
+        value_panel.setComponentOrientation(Dictionary.getOrientation());
 	JLabel value_label = new JLabel(Dictionary.get("WarningDialog.Value"));
-	
+	value_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	value_field = new JTextField();
+        value_field.setComponentOrientation(Dictionary.getOrientation());
 	JPanel bottom_pane = new JPanel();
+        bottom_pane.setComponentOrientation(Dictionary.getOrientation());
 	show_check = new JCheckBox(Dictionary.get("WarningDialog.Dont_Show_Again"));
+        show_check.setComponentOrientation(Dictionary.getOrientation());
 	JPanel control_pane = new JPanel();
+        control_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
 	cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Pure_Cancel_Tooltip"));
@@ -107,9 +117,9 @@
 	value_panel.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
 	value_panel.setLayout(new BorderLayout(5,0));
-	value_panel.add(value_label, BorderLayout.WEST);
+	value_panel.add(value_label, BorderLayout.LINE_START);
 	value_panel.add(value_field, BorderLayout.CENTER);
 
 	text_pane.setLayout(new BorderLayout());
-	text_pane.add(icon_label, BorderLayout.WEST);
+	text_pane.add(icon_label, BorderLayout.LINE_START);
 	text_pane.add(new JScrollPane(text_area), BorderLayout.CENTER);
 	if(affected_property != null) {
@@ -124,5 +134,5 @@
 	else {
 	    control_pane.setLayout(new BorderLayout());
-	    control_pane.add(ok_button, BorderLayout.EAST);
+	    control_pane.add(ok_button, BorderLayout.LINE_END);
 	}
 
@@ -130,5 +140,5 @@
 	bottom_pane.setLayout(new BorderLayout());
 	bottom_pane.add(show_check, BorderLayout.CENTER);
-	bottom_pane.add(control_pane, BorderLayout.EAST);
+	bottom_pane.add(control_pane, BorderLayout.LINE_END);
 
 	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
